import matplotlib.pyplot as plt
numargs = geom.numargs
[ pr ] = Replace with reasonable value * numargs
rv = geom(pr)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = geom.cdf(x, pr)
h = plt.semilogy(np.abs(x - geom.ppf(prb, pr)) + 1e-20)

# Random number generation

R = geom.rvs(pr, size=100)
